GDCM: vtkGDCMImageWriter Class Reference

GDCM 3.2.10

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkGDCMImageWriter Class Reference

`#include <vtkGDCMImageWriter.h>`

Inheritance diagram for vtkGDCMImageWriter:
[legend]
Collaboration diagram for vtkGDCMImageWriter:
[legend]

## Public Types
enum | CompressionTypes { NO_COMPRESSION = 0 , JPEG_COMPRESSION , JPEG2000_COMPRESSION , JPEGLS_COMPRESSION , RLE_COMPRESSION }

## Public Member Functions
virtual const char * | GetDescriptiveName ()
virtual const char * | GetFileExtensions ()
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDirectionCosines (vtkMatrix4x4 *matrix)
virtual void | SetDirectionCosinesFromImageOrientationPatient (const double dircos[6])
virtual void | SetFileNames (vtkStringArray *)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *)
| vtkBooleanMacro (FileLowerLeft, int)
| vtkBooleanMacro (LossyFlag, int)
| vtkGetMacro (CompressionType, int)
| vtkGetMacro (FileLowerLeft, int)
| vtkGetMacro (ImageFormat, int)
| vtkGetMacro (LossyFlag, int)
| vtkGetMacro (PlanarConfiguration, int)
| vtkGetMacro (Scale, double)
| vtkGetMacro (Shift, double)
| vtkGetObjectMacro (DirectionCosines, vtkMatrix4x4)
| vtkGetObjectMacro (FileNames, vtkStringArray)
| vtkGetObjectMacro (MedicalImageProperties, vtkMedicalImageProperties)
| vtkGetStringMacro (SeriesUID)
| vtkGetStringMacro (StudyUID)
| vtkSetMacro (CompressionType, int)
| vtkSetMacro (FileLowerLeft, int)
| vtkSetMacro (ImageFormat, int)
| vtkSetMacro (LossyFlag, int)
| vtkSetMacro (PlanarConfiguration, int)
| vtkSetMacro (Scale, double)
| vtkSetMacro (Shift, double)
| vtkSetStringMacro (SeriesUID)
| vtkSetStringMacro (StudyUID)
| vtkTypeMacro (vtkGDCMImageWriter, vtkImageWriter)
virtual void | Write ()

## Static Public Member Functions
static vtkGDCMImageWriter * | New ()

## Protected Member Functions
| vtkGDCMImageWriter ()
| ~vtkGDCMImageWriter ()
virtual char * | GetFileName ()
int | WriteGDCMData (vtkImageData *data, int timeStep)
void | WriteSlice (vtkImageData *data)

## Detailed Description

Examples
  Convert16BitsTo8Bits.cxx, ConvertMultiFrameToSingleFrame.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, CreateFakePET.cxx, CreateFakeRTDOSE.cxx, HelloActiviz.cs, HelloActiviz2.cs, HelloVTKWorld.cs, HelloVTKWorld.java, HelloVTKWorld2.cs, MagnifyFile.cxx, RefCounting.cs, and gdcmorthoplanes.cxx.

## Member Enumeration Documentation

## ◆ CompressionTypes

enum vtkGDCMImageWriter::CompressionTypes

Enumerator
NO_COMPRESSION |
JPEG_COMPRESSION |
JPEG2000_COMPRESSION |
JPEGLS_COMPRESSION |
RLE_COMPRESSION |

## Constructor & Destructor Documentation

## ◆ vtkGDCMImageWriter()

vtkGDCMImageWriter::vtkGDCMImageWriter | ( |  | ) |
| protected

Referenced by GetFileName(), New(), and vtkTypeMacro().

## ◆ ~vtkGDCMImageWriter()

vtkGDCMImageWriter::~vtkGDCMImageWriter | ( |  | ) |
| protected

## Member Function Documentation

## ◆ GetDescriptiveName()

virtual const char * vtkGDCMImageWriter::GetDescriptiveName | ( |  | ) |
| inlinevirtual

## ◆ GetFileExtensions()

virtual const char * vtkGDCMImageWriter::GetFileExtensions | ( |  | ) |
| inlinevirtual

## ◆ GetFileName()

virtual char * vtkGDCMImageWriter::GetFileName | ( |  | ) |
| protectedvirtual

References vtkGDCMImageWriter().

## ◆ New()

vtkGDCMImageWriter * vtkGDCMImageWriter::New | ( |  | ) |
| static

Examples
  Convert16BitsTo8Bits.cxx, ConvertMultiFrameToSingleFrame.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, CreateFakePET.cxx, CreateFakeRTDOSE.cxx, HelloActiviz.cs, HelloVTKWorld.cs, HelloVTKWorld2.cs, MagnifyFile.cxx, RefCounting.cs, and gdcmorthoplanes.cxx.

References vtkGDCMImageWriter().

## ◆ PrintSelf()

virtual void vtkGDCMImageWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )
| virtual

## ◆ SetDirectionCosines()

virtual void vtkGDCMImageWriter::SetDirectionCosines | ( | vtkMatrix4x4 * | matrix | ) |
| virtual

Examples
  Convert16BitsTo8Bits.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, HelloActiviz2.cs, HelloVTKWorld.cs, HelloVTKWorld.java, MagnifyFile.cxx, and gdcmorthoplanes.cxx.

## ◆ SetDirectionCosinesFromImageOrientationPatient()

virtual void vtkGDCMImageWriter::SetDirectionCosinesFromImageOrientationPatient | ( | const double | dircos[6] | ) |
| virtual

## ◆ SetFileNames()

virtual void vtkGDCMImageWriter::SetFileNames | ( | vtkStringArray * |  | ) |
| virtual

Examples
  ConvertMultiFrameToSingleFrame.cxx, and CreateFakePET.cxx.

## ◆ SetMedicalImageProperties()

virtual void vtkGDCMImageWriter::SetMedicalImageProperties | ( | vtkMedicalImageProperties * |  | ) |
| virtual

Examples
  Convert16BitsTo8Bits.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, HelloActiviz.cs, HelloActiviz2.cs, HelloVTKWorld.cs, HelloVTKWorld.java, MagnifyFile.cxx, and gdcmorthoplanes.cxx.

## ◆ vtkBooleanMacro() [1/2]

vtkGDCMImageWriter::vtkBooleanMacro | ( | FileLowerLeft | ,
|  | int | )

## ◆ vtkBooleanMacro() [2/2]

vtkGDCMImageWriter::vtkBooleanMacro | ( | LossyFlag | ,
|  | int | )

## ◆ vtkGetMacro() [1/7]

vtkGDCMImageWriter::vtkGetMacro | ( | CompressionType | ,
|  | int | )

## ◆ vtkGetMacro() [2/7]

vtkGDCMImageWriter::vtkGetMacro | ( | FileLowerLeft | ,
|  | int | )

## ◆ vtkGetMacro() [3/7]

vtkGDCMImageWriter::vtkGetMacro | ( | ImageFormat | ,
|  | int | )

## ◆ vtkGetMacro() [4/7]

vtkGDCMImageWriter::vtkGetMacro | ( | LossyFlag | ,
|  | int | )

## ◆ vtkGetMacro() [5/7]

vtkGDCMImageWriter::vtkGetMacro | ( | PlanarConfiguration | ,
|  | int | )

## ◆ vtkGetMacro() [6/7]

vtkGDCMImageWriter::vtkGetMacro | ( | Scale | ,
|  | double | )

## ◆ vtkGetMacro() [7/7]

vtkGDCMImageWriter::vtkGetMacro | ( | Shift | ,
|  | double | )

## ◆ vtkGetObjectMacro() [1/3]

vtkGDCMImageWriter::vtkGetObjectMacro | ( | DirectionCosines | ,
|  | vtkMatrix4x4 | )

## ◆ vtkGetObjectMacro() [2/3]

vtkGDCMImageWriter::vtkGetObjectMacro | ( | FileNames | ,
|  | vtkStringArray | )

## ◆ vtkGetObjectMacro() [3/3]

vtkGDCMImageWriter::vtkGetObjectMacro | ( | MedicalImageProperties | ,
|  | vtkMedicalImageProperties | )

## ◆ vtkGetStringMacro() [1/2]

vtkGDCMImageWriter::vtkGetStringMacro | ( | SeriesUID |  | ) |

## ◆ vtkGetStringMacro() [2/2]

vtkGDCMImageWriter::vtkGetStringMacro | ( | StudyUID |  | ) |

## ◆ vtkSetMacro() [1/7]

vtkGDCMImageWriter::vtkSetMacro | ( | CompressionType | ,
|  | int | )

## ◆ vtkSetMacro() [2/7]

vtkGDCMImageWriter::vtkSetMacro | ( | FileLowerLeft | ,
|  | int | )

## ◆ vtkSetMacro() [3/7]

vtkGDCMImageWriter::vtkSetMacro | ( | ImageFormat | ,
|  | int | )

## ◆ vtkSetMacro() [4/7]

vtkGDCMImageWriter::vtkSetMacro | ( | LossyFlag | ,
|  | int | )

## ◆ vtkSetMacro() [5/7]

vtkGDCMImageWriter::vtkSetMacro | ( | PlanarConfiguration | ,
|  | int | )

## ◆ vtkSetMacro() [6/7]

vtkGDCMImageWriter::vtkSetMacro | ( | Scale | ,
|  | double | )

## ◆ vtkSetMacro() [7/7]

vtkGDCMImageWriter::vtkSetMacro | ( | Shift | ,
|  | double | )

## ◆ vtkSetStringMacro() [1/2]

vtkGDCMImageWriter::vtkSetStringMacro | ( | SeriesUID |  | ) |

## ◆ vtkSetStringMacro() [2/2]

vtkGDCMImageWriter::vtkSetStringMacro | ( | StudyUID |  | ) |

## ◆ vtkTypeMacro()

vtkGDCMImageWriter::vtkTypeMacro | ( | vtkGDCMImageWriter | ,
|  | vtkImageWriter | )

References vtkGDCMImageWriter().

## ◆ Write()

virtual void vtkGDCMImageWriter::Write | ( |  | ) |
| virtual

Examples
  Convert16BitsTo8Bits.cxx, ConvertMultiFrameToSingleFrame.cxx, ConvertRGBToLuminance.cxx, ConvertSingleBitTo8Bits.cxx, CreateFakePET.cxx, CreateFakeRTDOSE.cxx, HelloActiviz.cs, HelloActiviz2.cs, HelloVTKWorld.cs, HelloVTKWorld.java, HelloVTKWorld2.cs, MagnifyFile.cxx, and gdcmorthoplanes.cxx.

## ◆ WriteGDCMData()

int vtkGDCMImageWriter::WriteGDCMData | ( | vtkImageData * | data,
|  | int | timeStep )
| protected

## ◆ WriteSlice()

void vtkGDCMImageWriter::WriteSlice | ( | vtkImageData * | data | ) |
| protected

The documentation for this class was generated from the following file:

- vtkGDCMImageWriter.h